### Method

# Gio SettingsSchemaKey get_description

since: 2.34

#### Declaration

    const gchar*
    g_settings_schema_key_get_description (
      GSettingsSchemaKey* key
    )

#### Description

Gets the description for `key`.

If no description has been provided in the schema for `key`, returns `NULL`.

The description can be one sentence to several paragraphs in length. Paragraphs are delimited with a double newline. Descriptions can be translated and the value returned from this function is is the current locale.

This function is slow. The summary and description information for the schemas is not stored in the compiled schema database so this function has to parse all of the source XML files in the schema directory.

Available since: 2.34

#### Return value

Type: `const gchar*`

The description for `key`, or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.